# In order to use unversioned python macros in the spec file, we need to
# explicitly define %%__python.
%global __python %{_bindir}/python3


Name:           ocpkg
Version:        0.6.7
Release:        3%{?dist}
Summary:        OpenCloudOS utility for working with dist-git
License:        GPLv2+
URL:            https://gitee.com/src-opencloudos-rpms/ocpkg
Source0:        %{url}/archive/%{version}/ocpkg-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-six
# BuildRequires:  python3-rpkg


%description
Provides the ocpkg command for working with dist-git.


%prep
%autosetup -p 1


%build
%py_build
# %%{__python} doc/centpkg_man_page.py > centpkg.1


%install
%py_install
install -D -p -m 0644 src/ocpkg.conf     %{buildroot}%{_sysconfdir}/rpkg/ocpkg.conf
install -D -p -m 0644 src/ocpkg.bash     %{buildroot}%{_datadir}/bash-completion/completions/ocpkg
# install -D -p -m 0644 centpkg.1            %{buildroot}%{_mandir}/man1/centpkg.1


%files
%license COPYING
%doc README.md
%config(noreplace) %{_sysconfdir}/rpkg/ocpkg.conf
%{_bindir}/%{name}
%{python_sitelib}/%{name}
%{python_sitelib}/%{name}-%{version}-py%{python_version}.egg-info
%{_datadir}/bash-completion/completions/ocpkg
# %{_mandir}/man1/centpkg.1*


%changelog
* Fri Sep 09 2022 Xun Zhong <invain@opencloudos.tech> - 0.6.6-3
- init
